#include "veterinario.h"

std::ostream& operator<< (std::ostream &output, Veterinario const v) {
output << "Id: " << v.id << endl;
output << "Funcao:" << v.funcao << endl;
output << "CPF: " << v.cpf << endl;
output << "Idade: " << v.idade << endl;
output << "Tipo sanguineo: " << v.tipo_sanguineo << endl;
output << "Fator RH : " << v.fator_RH << endl;
output << "Especialidade: " << v.especialidade << endl;

return output;
}


Veterinario::Veterinario(){
	id = 0;
	funcao = "-";
	cpf = "-";
	nome = "-";
	idade = 0;
	tipo_sanguineo = '-';
	fator_RH = '-';
	especialidade = "-";
}


Veterinario::Veterinario(int identity, string role, string name, string doc_cpf, short age, char blood_type, char rh_factor, string specialty):

						Funcionario(identity, role, name, doc_cpf, age, blood_type, rh_factor, specialty)
{}
