#ifndef __AVENATIVA_H__
#define __AVENATIVA_H__

#include "ave.h"
#include "animalnativo.h"

/* @brief Classe Ave, que modela um  Ave do tipo Nativa, que toma Ave e AnimalNativo
*				  como classes pai a herdar seus atributos
* @param 	Métodos públicos:
*					friend std::ostream& operator<< (std::ostream &output, AveNativa const avenat) Sobrecarga do operador de inserção para animal do tipo AveNativa
*					AveNativa - Construtor cria um animal do tipo AveNativa
*
*/
class AveNativa: public Ave, AnimalSilvestre, AnimalNativo {
	private:

	public:
		friend std::ostream& operator<< (std::ostream &output, AveNativa const avenat);
		AveNativa(int identity, string clas, string name, string scientific, char sex, float size,
    				string diet, string baptism, Veterinario vet, Tratador caretaker,
    				int beak_size, int wingspan, string biernr, string origin_state, string authorization);
    AveNativa();

};

#endif
