#include "tratador.h"

std::ostream& operator<< (std::ostream &output, Tratador const t) {
output << "Id:" << t.id << endl;
output << "Funcao:"<< t.funcao<< endl;
output << "CPF: " << t.cpf << endl;
output << "Idade: " << t.idade << endl;
output << "Tipo sanguineo: " << t.tipo_sanguineo << endl;
output << "Fator RH : " << t.fator_RH << endl;
output << "Especialidade: " << t.especialidade << endl;

return output;
}


Tratador::Tratador(int identity, string role, string name, string doc_cpf, short age, char blood_type, char rh_factor, string specialty):

						Funcionario(identity, role, name, doc_cpf, age, blood_type, rh_factor, specialty)
{}

Tratador::Tratador(){
	id = 0;
	funcao = "-";
	cpf = "-";
	nome = "-";
	idade = 0;
	tipo_sanguineo = '-';
	fator_RH = '-';
	especialidade = "-";
}
